Bug 1786920 (python-pytest-django) - Review Request: python-pytest-django - A Django plugin for pytest
Summary: Review Request: python-pytest-django - A Django plugin for pytest
Keywords:
Status: CLOSED ERRATA
Alias: python-pytest-django
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-django-configurations
Blocks: python-testfixtures
TreeView+ depends on / blocked
 
Reported: 2019-12-29 08:52 UTC by Fabian Affolter
Modified: 2020-03-31 00:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 00:16:51 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2019-12-29 08:52:42 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pytest-django.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pytest-django-3.7.0-1.fc31.src.rpm

Project URL: https://pytest-django.readthedocs.io/

Description:
pytest-django allows you to test your Django project/applications with the
pytest testing tool.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=39970751

rpmlint output:
$ rpmlint python-pytest-django-3.7.0-1.fc31.src.rpm
python-pytest-django.src:60: W: macro-in-comment %check
python-pytest-django.src:61: W: macro-in-comment %{buildroot}
python-pytest-django.src:61: W: macro-in-comment %{python3_sitelib}
python-pytest-django.src:61: W: macro-in-comment %{python3_version}
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$ rpmlint python3-pytest-django-3.7.0-1.fc31.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-07 20:17:17 UTC
 - Use %{python3_version} or a glob * instead of ?.? because Python 3.10 will break this package otherwise:

%{python3_sitelib}/pytest_django-%{version}-py*.egg-info

 -

Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

→

Source0:        %{pypi_source}



 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-01-07 20:28:59 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-01-07 20:30:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pytest-django

Comment 5 Fedora Update System 2020-03-23 01:39:56 UTC
python-pytest-django-3.8.0-3.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9750149e79

Comment 6 Fedora Update System 2020-03-31 00:16:51 UTC
FEDORA-2020-9750149e79 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.